Bug 3433 - globus_c_ws_messaging_test fails to execute
: globus_c_ws_messaging_test fails to execute
Status: RESOLVED FIXED
: C WS Core
C WSRF core
: 4.0.0
: PC Linux
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-31 08:11 by
Modified: 2008-01-11 15:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-31 08:11:17
globus_c_ws_messaging_test tests in $GLOBUS_LOCATION/test/globus_common_test 
directory fail to execute with the following errors.

$ ./TESTS.pl
xsd-qname-hashtable-test....Can't exec "xsd-qname-hashtable-test": No such 
file or directory at xsd-qname-hashtable-test.pl line 5.
FAILED before any test output arrived
xsd-type-info-test..........Can't exec "xsd-type-info-test": No such file or 
directory at xsd-type-info-test.pl line 5.
FAILED before any test output arrived
FAILED--2 test scripts could be run, alas--no output ever seen
------- Comment #1 From 2005-05-31 08:43:55 -------
The path to the tests in the first line of the description should actually read 
$GLOBUS_LOCATION/test/globus_c_ws_messaging_test 
instead of $GLOBUS_LOCATION/test/globus_common_test 
------- Comment #2 From 2005-06-01 10:43:42 -------
These tests currently require . to be in your path.

joe
------- Comment #3 From 2005-06-01 10:59:35 -------
Thanks, After I placed . in the PATH, the tests ran successfully. 


$ ./TESTS.pl
xsd-qname-hashtable-test....ok
xsd-type-info-test..........ok
All tests successful.
Files=2, Tests=8,  0 wallclock secs ( 0.03 cusr +  0.01 csys =  0.04 CPU)
------- Comment #4 From 2005-06-02 15:04:24 -------
changes to remove dependency on . in path are committed to trunk and gt4
branch.